clear;

k = 500000;
p = 4;
q = 5;

X = rand(k*p, q);

Y1 = zeros(k*q, p);

tic;
for i = 1 : k
    Y1((i-1)*q+(1:q), :) = X((i-1)*p+(1:p),:).';
end
t_loop = toc;


tic;
Y2 = inner_block_transpose(X, p, q);
t_block = toc;



